Bug 23109 - Incomplete description for staffacccess permission
Summary: Incomplete description for staffacccess permission
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Patrons (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Katrin Fischer
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-06-12 19:39 UTC by Andrew Fuerste-Henry
Modified: 2019-07-25 11:19 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
19.11.00


Attachments
Bug 23109: Improve description of staffaccess permission (3.56 KB, patch)
2019-06-17 21:52 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 23109: (follow-up) fix typo in upgrade script (1.22 KB, patch)
2019-06-20 16:43 UTC, M. Tompsett
Details | Diff | Splinter Review
Bug 23109: Improve description of staffaccess permission (3.61 KB, patch)
2019-06-20 16:54 UTC, M. Tompsett
Details | Diff | Splinter Review
Bug 23109: (follow-up) fix typo in upgrade script (1.27 KB, patch)
2019-06-20 16:54 UTC, M. Tompsett
Details | Diff | Splinter Review
Bug 23109: Improve description of staffaccess permission (3.68 KB, patch)
2019-06-24 15:44 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 23109: (follow-up) fix typo in upgrade script (1.34 KB, patch)
2019-06-24 15:44 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Andrew Fuerste-Henry 2019-06-12 19:39:37 UTC
On member-flags.pl, the descriptive text for the staffaccess permission reads "Allow staff members to modify permissions for other staff members." However, this permission also controls the ability to change the password of other staff members. 

I'd like to see it changed to read "Allow staff members to modify permissions and passwords for other staff members."
Comment 1 Katrin Fischer 2019-06-17 21:52:48 UTC
Created attachment 90706 [details] [review]
Bug 23109: Improve description of staffaccess permission

Changes:
Allow staff members to modify permissions for other staff members
To:
Allow staff members to modify permissions and passwords for other staff members.

As suggested by Andre on the initial bug report.

To test:
- Go to any patron account and check More > permissions
- Veriy the description is shown as noted above
- Apply patch and run database update
- Reload the page and verify the description has changed
- Run the following SQL and verify the description in the
  database table matches as well:

SELECT * FROM userflags where flag = "staffaccess";
Comment 2 M. Tompsett 2019-06-20 16:43:08 UTC
Created attachment 90860 [details] [review]
Bug 23109: (follow-up) fix typo in upgrade script
Comment 3 M. Tompsett 2019-06-20 16:54:46 UTC
Created attachment 90861 [details] [review]
Bug 23109: Improve description of staffaccess permission

Changes:
Allow staff members to modify permissions for other staff members
To:
Allow staff members to modify permissions and passwords for other staff members.

As suggested by Andre on the initial bug report.

To test:
- Go to any patron account and check More > permissions
- Veriy the description is shown as noted above
- Apply patch and run database update
- Reload the page and verify the description has changed
- Run the following SQL and verify the description in the
  database table matches as well:

SELECT * FROM userflags where flag = "staffaccess";

Signed-off-by: Mark Tompsett <mtompset@hotmail.com>
Comment 4 M. Tompsett 2019-06-20 16:54:49 UTC
Created attachment 90862 [details] [review]
Bug 23109: (follow-up) fix typo in upgrade script

Signed-off-by: Mark Tompsett <mtompset@hotmail.com>
Comment 5 Katrin Fischer 2019-06-21 05:34:29 UTC
Thx for the follow-up!
Comment 6 Jonathan Druart 2019-06-24 15:44:01 UTC
Created attachment 90961 [details] [review]
Bug 23109: Improve description of staffaccess permission

Changes:
Allow staff members to modify permissions for other staff members
To:
Allow staff members to modify permissions and passwords for other staff members.

As suggested by Andre on the initial bug report.

To test:
- Go to any patron account and check More > permissions
- Veriy the description is shown as noted above
- Apply patch and run database update
- Reload the page and verify the description has changed
- Run the following SQL and verify the description in the
  database table matches as well:

SELECT * FROM userflags where flag = "staffaccess";

Signed-off-by: Mark Tompsett <mtompset@hotmail.com>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 7 Jonathan Druart 2019-06-24 15:44:09 UTC
Created attachment 90962 [details] [review]
Bug 23109: (follow-up) fix typo in upgrade script

Signed-off-by: Mark Tompsett <mtompset@hotmail.com>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 8 Jonathan Druart 2019-06-24 15:44:37 UTC
I am not sure we should care about the description in DB (as it is not used on the interface) but it will not hurt.
Comment 9 Martin Renvoize 2019-06-24 16:14:50 UTC
Nice work!

Pushed to master for 19.11.00
Comment 10 Martin Renvoize 2019-06-25 16:02:09 UTC
Nice work!

Pushed to master for 19.11.00
Comment 11 Fridolin SOMERS 2019-07-25 11:19:49 UTC
Not pushed to 19.05.x
Its minor and I prefer avoid db changes in stable branch.